<template>
  <div>
    <div class="filter-documentation__text">
      <b>Сроки для документов</b>
    </div>
    <div class="filter-documentation__inputs">
      <ObInput
          v-model="terms.provisionTerm[0].tripDurationMin"
          class="filter-documentation__inputs-input"
          label="Рейс, от"
          placeholder="0"
          subTitle="дней"
          type="money:0"
          :isConvertMoney="false"
          @blur="changeTerms(terms)"
      />
      <ObInput
          v-model="terms.provisionTerm[0].tripDurationMax"
          class="filter-documentation__inputs-input"
          label="Рейс, до"
          placeholder="0"
          subTitle="дней"
          type="money:0"
          :isConvertMoney="false"
          @blur="changeTerms(terms)"
      />
      <ObInput
          v-model="terms.provisionTerm[0].term"
          class="filter-documentation__inputs-input"
          label="Срок предоставления"
          placeholder="0"
          subTitle="дней"
          type="money:0"
          :isConvertMoney="false"
          @blur="changeTerms(terms)"
      />
    </div>
    <div class="filter-documentation__inputs">
      <ObInput
          v-model="terms.provisionTerm[1].tripDurationMin"
          class="filter-documentation__inputs-input"
          label="Рейс, от"
          placeholder="0"
          subTitle="дней"
          type="money:0"
          :isConvertMoney="false"
          @blur="changeTerms(terms)"
      />
      <ObInput
          v-model="terms.provisionTerm[1].tripDurationMax"
          class="filter-documentation__inputs-input"
          label="Рейс, до"
          placeholder="0"
          subTitle="дней"
          type="money:0"
          :isConvertMoney="false"
          @blur="changeTerms(terms)"
      />
      <ObInput
          v-model="terms.provisionTerm[1].term"
          class="filter-documentation__inputs-input"
          label="Срок предоставления"
          placeholder="0"
          subTitle="дней"
          type="money:0"
          :isConvertMoney="false"
          @blur="changeTerms(terms)"
      />
    </div>

    <div class="filter-documentation__inputs">
      <ObInput
          v-model="terms.provisionTerm[2].tripDurationMin"
          class="filter-documentation__inputs-input"
          label="Рейс, от'"
          placeholder="0"
          subTitle="дней"
          type="money:0"
          :isConvertMoney="false"
          @blur="changeTerms(terms)"
      />
      <ObInput
          v-model="terms.provisionTerm[2].tripDurationMax"
          class="filter-documentation__inputs-input"
          label="Рейс, до"
          placeholder="0"
          subTitle="дней"
          type="money:0"
          :isConvertMoney="false"
          @blur="changeTerms(terms)"
      />
      <ObInput
          v-model="terms.provisionTerm[2].term"
          class="filter-documentation__inputs-input"
          label="Срок предоставления"
          placeholder="0"
          subTitle="дней"
          type="money:0"
          :isConvertMoney="false"
          @blur="changeTerms(terms)"
      />
    </div>

    <div class="filter-documentation__text">
      <b>Сроки для документов без зависимости от продолжительности рейса</b>
    </div>

    <div class="filter-documentation__inputs">
      <ObInput
          v-model="terms.executionConfirmationTerm"
          class="filter-documentation__inputs-input"
          label="Срок подтверждения предоставления"
          placeholder="0"
          subTitle="дней"
          type="money:0"
          :isConvertMoney="false"
          @blur="changeTerms(terms)"
      />
      <ObInput
          v-model="terms.paymentTerm"
          class="filter-documentation__inputs-input"
          label="Срок оплаты"
          placeholder="0"
          subTitle="дней"
          type="money:0"
          :isConvertMoney="false"
          @blur="changeTerms(terms)"
      />
    </div>
  </div>
</template>

<script>
  import ObInput from "common-components/src/obComponents/obInput/index";
  import {mapActions, mapGetters} from "vuex";
  export default {
    name: "ByCarrier",
    components: {
      ObInput
    },
    computed: {
      ...mapGetters({
        terms: 'clicarSettings/terms_by_carrier',
        answerByServer: 'clicarSettings/answerByServer',
      })
    },
    methods: {
      ...mapActions({
        setTerms: 'clicarSettings/setTerms',
      }),
      changeTerms(terms) {
        this.setTerms(terms)
          .then(() => {
            if (this.answerByServer === 'success') {
              this.$notification({
                type: 'system_notification_success',
                message: 'Сроки для документов сохранены'
              });
            } else if (this.answerByServer === 'error') {
              this.$notification({
                type: 'system_notification_error',
                message: 'Не удается сохранить для документов'
              })
            }
          })
      }
    }
  }
</script>
